Skip to main content
GET
https://tickward.com/api/v1
/
webhooks
/
{webhook_id}
Retrieve webhook endpoint
curl --request GET \
  --url https://tickward.com/api/v1/webhooks/{webhook_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "wh_123",
  "object": "webhook_endpoint",
  "name": "Production automation",
  "url": "https://example.com/tickward/webhooks",
  "event_types": [],
  "failure_count": 1,
  "created_at": "2026-10-10T09:30:00.000Z",
  "updated_at": "2026-10-10T09:30:00.000Z",
  "disabled_at": "2026-10-10T09:30:00.000Z",
  "last_delivered_at": "2026-10-10T09:30:00.000Z",
  "last_failed_at": "2026-10-10T09:30:00.000Z"
}

Authorizations

Authorization
string
header
default:tw_your_api_key
required

Use a tickward API key from Settings. API keys start with tw_. Store keys as secrets and send them as Authorization: Bearer <key>.

Path Parameters

webhook_id
string
required

Webhook endpoint id.

Response

Successful response.

id
string
required
Example:

"wh_123"

object
enum<string>
required
Available options:
webhook_endpoint
name
string
required
Example:

"Production automation"

url
string<uri>
required
Example:

"https://example.com/tickward/webhooks"

event_types
enum<string>[]
required

Event type delivered to webhook endpoints.

Available options:
project.created,
project.updated,
project.deleted,
timer.created,
timer.updated,
timer.archived,
timer.restored,
timer.deleted,
timer.ended,
share.created,
share.deleted
status
enum<string>
required
Available options:
active,
disabled
failure_count
integer
required
Required range: x >= 0
created_at
string<date-time>
required

ISO 8601 datetime string. Prefer UTC with Z or an explicit offset.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}
Example:

"2026-10-10T09:30:00.000Z"

updated_at
string<date-time>
required

ISO 8601 datetime string. Prefer UTC with Z or an explicit offset.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}
Example:

"2026-10-10T09:30:00.000Z"

disabled_at
string<date-time> | null
required
Example:

"2026-10-10T09:30:00.000Z"

last_delivered_at
string<date-time> | null
required
Example:

"2026-10-10T09:30:00.000Z"

last_failed_at
string<date-time> | null
required
Example:

"2026-10-10T09:30:00.000Z"